import java.util.ArrayList;

/**
 * A Class used for loading bitmap data chunks
 * 
 * TunesRus90
 */
public class BitmChunk
{
    public int chunkOffset;
    public ArrayList<LOD> lods;
    public int formatValue;
    public RawLocation rawLocation;
    
    public BitmChunk()
    {
    	lods = new ArrayList<LOD>();
    }
    
    public static class LOD
    {
    	public long rawPointer;
    	public int rawSize;
    	public LOD(long rawPointer, int rawSize)
    	{
    		this.rawPointer = rawPointer;
    		this.rawSize = rawSize;
    	}
    }    
}