
/**
 * Filters the list of selectable files to
 * just those with a .map extension.
 * 
 * TunesRus90
 * 1-21-07
 */

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class MapFilter extends FileFilter
{
    public boolean accept(File f) {
        if(f.isDirectory() || f.getName().toLowerCase().endsWith(".map")){
            return true;}
        else{
            return false;}
    }
    
    public String getDescription() {
        return "Map Files";
    }

}
