/**
 * Used to make an array of tags
 * 
 * TunesRus90
 * 1-13-07
 */

public class TagInstance implements Comparable<Object>
{
    public String tagType;
    public long tagID;
    public long tagOffset;
    public int tagSize;
    public String tagName;
    public boolean isBitm;
    public boolean isExternal;
    public boolean isAdded;
    public int bitmChunkCount;
    public BitmChunk[] bitmChunks;
    
    public TagInstance()
    {
        isExternal = false;
    }
    
    public String toString()
    {
        return tagName;
    }
    public int compareTo(Object o) {
        TagInstance other = (TagInstance)o;
        return tagName.compareToIgnoreCase(other.tagName);
    }
}
